<style>
    * {
        box-sizing: border-box;
    }

    body {
        font: 16px Arial;
    }

    /*the container must be positioned relative:*/
    .autocomplete {
        position: relative;
        display: inline-block;
    }

    input {
        border: 1px solid transparent;
        background-color: #f1f1f1;
        padding: 10px;
        font-size: 16px;
    }

        input[type=text] {
            background-color: #f1f1f1;
            width: 100%;
        }

        input[type=submit] {
            background-color: DodgerBlue;
            color: #fff;
            cursor: pointer;
        }

    .autocomplete-items {
        position: absolute;
        border: 1px solid #d4d4d4;
        border-bottom: none;
        border-top: none;
        z-index: 99;
        /*position the autocomplete items to be the same width as the container:*/
        top: 100%;
        left: 0;
        right: 0;
    }

        .autocomplete-items div {
            padding: 10px;
            cursor: pointer;
            background-color: #fff;
            border-bottom: 1px solid #d4d4d4;
        }

            /*when hovering an item:*/
            .autocomplete-items div:hover {
                background-color: #e9e9e9;
            }

    /*when navigating through the items using the arrow keys:*/
    .autocomplete-active {
        background-color: DodgerBlue !important;
        color: #ffffff;
    }
</style>


<div class="autocomplete" style="width:300px;">
    <input class="validatehelper autocomplete_hoten" validate_type="HOTEN" id="myInput" type="text" name="myInput" placeholder="họ và tên">
</div>
<!-- <input class="validatehelper" validate_type="CMND" placeholder="cmnd" id="CMND">
<input class="validatehelper" validate_type="CCCD" placeholder="CCCD" id="CCCD">

<input class="validatehelper" validate_type="EMAIL CMND" placeholder="Email" id="EMAIL">

<input class="validatehelper" validate_type="SODIENTHOAI" placeholder="sdt" id="MOBILE">

<input class="validatehelper" validate_type="NGAYSINH" placeholder="ngaysinh" id="ngaysinh">
<input class="validatehelper" validate_type="NGAYCAP_CMND" placeholder="ngày cấp" id="NGAYCAP_CMND"> -->


<!--Make sure the form has the autocomplete function switched off:-->
<div>
    <div id="divngaysinh" style="margin-top:50px">
        <input class="" onchange="" validate_type="" placeholder="ngày" id="ngay">

        <input class="" placeholder="tháng" id="thang">
        <input class="" placeholder="năm" id="nam">
    </div>
    <button onclick="GetNgaySinh()">Get ngày sinh</button>
</div>
<br />
<br />
<!-- <button onclick="Initialize()">Initialize</button> -->

<button onclick="Validate_Egov.validate()">Kiểm tra</button>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js" integrity="sha512-894YE6QWD5I59HgZOGReFYm4dnWc1Qt5NtvYSaNcOP+u1T9qYdvdihz0PPSiiqn/+/3e7Jo4EaG7TubfWGUrMQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="https://momentjs.com/downloads/moment.js"></script>
<!--<script src="train.js"></script>-->

<script src="plugin_validatehelper.js"></script>
<script>
    //example obj to validate
    //obj = {
    //    "id": "CMND",
    //    "value": "",
    //    "type": [
    //        "CMND"
    //    ],
    //    "isValidate": false,
    //    "mess": "Chứng minh nhân dân sai định dạng!"
    //}

    //urlFileValidate = "http://localhost:19973/"
    function GetNgaySinh() {
        var ngaysinh = `${$("#ngay").val()}/${$("#thang").val()}/${$("#nam").val()}`
        var obj = {
            "id": "divngaysinh",
            "value": ngaysinh,
            "type": [
                "NGAYSINH"
            ],
            "isValidate": false,
            "mess": ""
        }
        Validate_Egov.extendInput.push(obj)
        console.log(ngaysinh)
    }
    $(document).ready(function () {
        VietnameseName_Autocomplete.GetDataTenThongDung();
        VietnameseName_Autocomplete.Autocomplete(document.getElementsByClassName("autocomplete_hoten")[0]);
    });

</script>